Create new report

Report extraction scope

Once you get access to this API, beware that the report extraction is on a merchant level.
This means that each report will contain the payments of all the shops available to the relative merchant.

Please be careful when sharing the access to this APIs with third parties.
Shop level report extraction is not available.

Report content

The reports can contain the following columns:

  • transaction_id [string]
    The payment id.
  • transaction_acceptance_date [datetime]
    The UTC payment acceptance date.
  • transaction_amount_unit [number]
    The payment total amount.
  • transaction_signed_amount_unit [string]
    The payment signed total amount (negative for refunds).
  • transaction_type [string]
    The payment type (TO_BUSINESS or REFUND_TO_BUSINESS)
  • transaction_external_code [string]
    The payment external code.

Please note that if you have activated the Meal Voucher, Fringe Benefit and/or Buy Now Pay Later products, your report will contain the following additional columns:

  • satispay_amount [number]
    e-money import
  • fee_business_amount [number]
    e-money fee
  • meal_voucher_amount [number]
    meal voucher import
  • fee_meal_voucher_amount [number]
    meal voucher fee
  • fringe_amount [number]
    fringe benefit import
  • fee_fringe_amount [number]
    fringe benefit fee
  • bnpl_amount [number]
    Buy now pay later import
  • fee_bnpl_amount [number]
    Buy now pay later fee
Show more columns…
  • transaction_counterpart_type [string]
    The payment counterpart type (CUSTOMER or SHOP).
  • transaction_counterpart_id [string]
    The payment counterpart id (customer or shop).
  • transaction_currency [string]
    The payment currency used.
  • transaction_group_id [string]
    The payment group id (e.g. refunds).
  • transaction_e_money_amount_unit [number]
    The payment e-wallet amount unit.
  • transaction_meal_voucher_amount_unit [number]
    The payment meal vouchers amount.
  • transaction_fringe_amount_unit [number]
    The payment fringe amount.
  • fee_amount_unit [number]
    The payment total amount of fees.
  • shop_id [string]
    The shop id.
  • shop_name [string]
    The shop name.
  • shop_external_code [string]
    The shop external code.

The report columns can be modified by specifying the columns parameter on report creation.
If you omit it, our default format type will be used. Example of default format below:


PAYMENT_FEE type

A simple report sample can be downloaded here. The report with Meal Voucher and Fringe Benefit product active can be downloaded here. The report with Buy Now Pay Later product active can be downloaded here.

This type of report contains the following columns:

  • transaction_id [string]: Unique identifier for the payment
  • transaction_date [datetime]: Date when the payment was accepted
  • shop_name [string]: Name of the shop
  • cost_centre [string]: External code associated with the shop
  • total_amount [number]: Total amount of the payment in cents
  • fee_amount [number]: Fee amount in cents
  • transaction_type [string]: Type of payment (TO_BUSINESS or REFUND_TO_BUSINESS)
  • external_code [string]: External code associated with the payment
  • group_id [string]: Group ID associated with the payment (e.g. refunds)
📘

Authentication

The Report API requires special authentication keys so the ones used for all the other APIs won't work.
You need to generate a new KeyID via a new pair of RSA keys and a new production token of a single Shop to receive the full Merchant report.
Once it's done you can write an email to [email protected] and share the KeyID.
Our IT Team will activate the KeyID and send you a feedback.

The authentication procedure is the same as described here.

🚧

Data loading

Reports that includes payments of the previous day, must be generated at least 4 hours after the midnight.

This is required to avoid the generation of incomplete reports due to data that it's still being processed.


REQUEST

Body Params
string
required

The type of report that you want to extract.

PAYMENT_FEE
Generates a report that includes collected fees and group id for each transaction.

string
enum
required

The type report format required.

CSV
Generates an CSV file format.

XLS
Generates an XLS file format.

Allowed:
notification
object
string
enum
required

The query type that you wish to use in the query_payload parameter.

PAYMENT_DATE_INTERVAL
The only query type supported.

Allowed:
query_payload
object
required
Headers
string
required

Always send this header as application/json.

string
required

The host declared in the signature.

string
required

The date declared in the signature.

string
required

The digest declared in the signature.

string
required

The request signature.

string

The idempotent request key.

You can read more here.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json